# OpenLayers.Layer.ArcGIS93Rest

Instances of OpenLayers.Layer.ArcGIS93Rest are used to display data from ESRI ArcGIS Server 9.3 (and up?) Mapping Services using the REST API. Create a new ArcGIS93Rest layer with the OpenLayers.Layer.ArcGIS93Rest constructor. More detail on the REST API is available at http://sampleserver1.arcgisonline.com/ArcGIS/SDK/REST/index.html ; specifically, the URL provided to this layer should be an export service URL: http://sampleserver1.arcgisonline.com/ArcGIS/SDK/REST/export.html

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.ArcGIS93Rest | Instances of OpenLayers.Layer.ArcGIS93Rest are used to display data from ESRI ArcGIS Server 9.3 (and up?)
Constants |
DEFAULT_PARAMS | {Object} Hashtable of default parameter key/value pairs
Properties |
isBaseLayer | {Boolean} Default is true for ArcGIS93Rest layer
Constructor |
OpenLayers.Layer.ArcGIS93Rest | Create a new ArcGIS93Rest layer object.
Functions |
mergeNewParams | Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.

### Constants

### DEFAULT_PARAMS

{Object} Hashtable of default parameter key/value pairs

### Properties

### isBaseLayer

{Boolean} Default is true for ArcGIS93Rest layer

### Constructor

### OpenLayers.Layer.ArcGIS93Rest

Create a new ArcGIS93Rest layer object.

#### Example

>     var arcims = new OpenLayers.Layer.ArcGIS93Rest("MyName",
>                                        "http://sampleserver1.arcgisonline.com/ArcGIS/rest/services/Specialty/ESRI_StateCityHighway_USA/MapServer/export",
>                                        {
>                                          layers: "0,1,2"
>                                        });

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the ArcGIS server REST service
options | {Object} An object with key/value pairs representing the options and option values.

#### Valid Options

format | {String} MIME type of desired image type.
layers | {String} Comma-separated list of layers to display.
srs | {String} Projection ID.

### Functions

### mergeNewParams

> mergeNewParams:function( | newParams | )

Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.

Once params have been changed, the tiles will be reloaded with the new parameters.

#### Parameters

newParams | {Object} Hashtable of new params to use

> mergeNewParams:function( | newParams | )

Catch changeParams and uppercase the new params to be merged in before calling changeParams on the super class.
Create a new ArcGIS93Rest layer object.
Close